<!DOCTYPE html>
<html lang="en" ng-app="lt17Panitia">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Pembukaan Penawaran">
    <title>&{'lelang_lt.pembuka_penawaran'}</title>
    <link rel="stylesheet" href="#{assets '/angular/bootstrap.min.css'/}" type="text/css" media="screen" />
	<link rel="stylesheet" href="#{assets '/angular/handsontable.min.css'/}" type="text/css">
	<link rel="stylesheet" href="#{assets '/angular/style.css'/}" type="text/css"/>
</head>
<body>
<div class="navbar navbar-default navbar-fixed-top" role="navigation" ng-controller="UserCtrl">
	<div class="container-fluid">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>
			<a class="navbar-brand" href="#">APENDO Panitia</a>
		</div>
		<div class="collapse navbar-collapse">
			<ul class="nav navbar-nav navbar-right">
				<li><a id="user" href="#" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom">${namaLpse}</a></li>
				<li><a href="" ng-click="logout()">Logout</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="container-fluid">

	<ul id="tabs" class="nav nav-tabs">
		<li><a href="#adm" data-toggle="tab">Informasi Tender</a></li>
		<li><a href="#pesertaList" data-toggle="tab">Pembukaan Penawaran</a></li>
	</ul>

	<div class="tab-content">

		<div class="tab-pane" id="adm" ng-controller="AdmCtrl">
			<br />
			<table class="table table-condensed">
				<thead>
				<th> </th>
				<th>&nbsp;</th>
				</thead>
				<tbody>
				<tr><td width="200"><b>Kode Tender</b></td><td ng-bind="adm.lls_id"></td></tr>
				<tr><td><b>Nama Paket</b></td><td ng-bind="adm.pkt_nama"></td></tr>
				<tr><td><b>Metode Pemilihan</b></td><td ng-bind="adm.mtd_pemilihan"></td></tr>
				<tr><td><b>Metode Kualifikasi</b></td><td ng-bind="adm.mtd_kualifikasi"></td></tr>
				<tr><td><b>Metode Dokumen</b></td><td ng-bind="adm.mtd_dokumen"></td></tr>
				<tr><td><b>Metode Evaluasi</b></td><td ng-bind="adm.mtd_evaluasi"></td></tr>
				<tr><td><b>Nilai HPS</b></td><td ng-bind="adm.hps | currency:'Rp. '"></td></tr>
				<tr><td><b>K/L/PD</b></td><td ng-bind="adm.instansi"></td></tr>
				</tbody>
			</table>
		</div>

		<div class="tab-pane" id="pesertaList" ng-controller="PesertaCtrl">
			<br />
			<table class="table table-condensed">
				<thead>
				<th>#</th>
				<th>Penawaran Peserta</th>
				<th>Harga</th>
				<th>Teknis</th>
				<th>Masa Berlaku</th>
				</thead>
				<tbody>
				<tr ng-repeat="peserta in pesertaList">
					<td ng-bind="$index+1"></td>
					<td>
						<a href="#" id="peserta" data-toggle="modal" ng-click="showSurat(peserta.surat)"><b><span ng-bind="peserta.nama"></span></b></a><br />
						Email: <span ng-bind="peserta.email"></span><br />
						No. Telepon: <span ng-bind="peserta.telpon"></span><br />
					</td>
					<td nowrap="nowrap" ng-bind="peserta.totalHarga | currency:'Rp. '"></td>
					<td>
						<button class="btn btn-default" ng-click="getTeknis(peserta,$index)" ng-disabled="peserta.downloading || downloading" >
							<span ng-bind="peserta.downloading ? 'Mengunduh.. ' : (peserta.decrypting ? 'Mendekripsi..' : (peserta.downloaded ? 'Buka' : 'Unduh'))"></span>
							<span ng-bind="peserta.progres | progresFilter" ng-hide="!peserta.downloading"></span>
						</button>
					</td>
					<td><span ng-bind="peserta.berlaku"></span> Hari Kalender</td>
				</tr>
				</tbody>
			</table>
			<div class="modal fade" id="surat_penawaran_modal" tabindex="-1" role="dialog" aria-labelledby="Surat Penawaran" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
							<h4 class="modal-title" id="title">Surat Penawaran</h4>
						</div>
						<div class="modal-body" ng-bind-html="suratContent"></div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
						</div>
					</div>
				</div>
			</div>
			<button class="btn btn-default" ng-click="getHarga()" ng-disabled="downloading" ng-show="!pesertaList">
				<span ng-show="!downloading">Buka Dokumen Penawaran</span>
				<span ng-show="downloading">Membuka penawaran harga.. <span ng-bind="persenTotal | progresFilter"></span></span>
			</button>
		</div>

	</div>
</div>

<script type="text/javascript">

    	var user = {
    		peg_id : "${pegawai?.peg_id}",
    		peg_nip : "${pegawai?.peg_nip?.escapeJavaScript().raw()}",
            name : "${pegawai?.peg_nama?.escapeJavaScript().raw()}",
            username : "${pegawai?.peg_namauser?.escapeJavaScript().raw()}",
            email : "${pegawai?.peg_email?.escapeJavaScript().raw()}"
    	}

    	var adm = {
			lls_id : "${lelang?.lls_id}",
			pkt_nama : "${paket?.pkt_nama?.escapeJavaScript().raw()}",
			mtd_evaluasi : "${lelang?.evaluasi?.label}",
			mtd_dokumen : "${lelang?.metode?.dokumen?.label}",
			mtd_kualifikasi : "${lelang?.metode?.kualifikasi?.label}",
			mtd_pemilihan : "${lelang?.pemilihan?.label}",
			lpse : "${namaLpse?.escapeJavaScript().raw()}",
			instansi : "${instansi?.escapeJavaScript().raw()}",
			hps : "${paket?.pkt_hps}"
    	}

    	var penawaranList = [
			#{list items:dokHargaList, as:'item'}
		        {
		        	"id" : "${item.dok_id_attachment}",
		            "psrId" : "${item.peserta.psr_id}"
				},
	        #{/list}
	    ]

    	var token = '${access_token}';
    	var downloadUrl = '${downloadUrl}';
    	var sortUrl = '${sortUrl}';
    	var privKey = '${keyAll}';

    </script>
<!-- deps -->
<script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>
<script type="text/javascript" src="#{assets '/lt17/panitiaSatuSampul.js'/}"></script>
</body>
</html>